@import 'vars';

.app-sidebar {
  order: 0;
  $top: 56px;

  @include media-breakpoint-up(md) {
    @supports(position: sticky) {
      position: sticky;
      top: $top;
      z-index: 1000;
      height: calc(100vh - #{$top});
    }

    border-right: 1px solid rgba(0, 0, 0, .1);
  }

  @include media-breakpoint-up(xl) {
    flex: 0 1 320px;
  }

  nav {
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-right: -15px;
    margin-left: -15px;

    @include media-breakpoint-down(sm) {
      background-color: #e8e8e8;
    }

    @include media-breakpoint-up(md) {
      @supports(position: sticky) {
        max-height: calc(100vh - #{$top});
        overflow-y: auto;
      }
    }

    @include media-breakpoint-up(md) {
      display: block !important;
    }

    .sidebar-link {
      > a {
        display: block;
        padding: 0.25em 1.25em;
        font-weight: 500;
        text-decoration: none;
        color: $other-link-normal;

        &:hover {
          color: $other-link-hover;
        }
      }

      ul {
        display: block;

        > li {
          > a {
            display: block;
            padding: 0.25em 1.4em;
            font-size: 90%;
            color: $other-link-normal;

            &:hover {
              color: $other-link-hover;
            }
          }
        }
      }

      &.active {
        &:not(:first-of-type) { padding-top: 1em; }
        &:not(:last-of-type) { padding-bottom: 1em; }

        > a {
          font-weight: 500;
          color: $other-link-active;
        }

        ul > li > a {
          font-weight: 500;
          color: lighten($other-link-normal, 10);

          &:hover {
            color: lighten($other-link-active, 10);
          }
        }

        ul > li.active > a {
          color: $other-link-active;
        }
      }
    }
  }
}
